Kling 3.0
curl --request POST \
--url https://open.skills.video/api/v1/generation/kling-ai/v3/video \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>"
}
'import requests
url = "https://open.skills.video/api/v1/generation/kling-ai/v3/video"
payload = { "prompt": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: '<string>'})
};
fetch('https://open.skills.video/api/v1/generation/kling-ai/v3/video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import Foundation
let parameters = ["prompt": "<string>"] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://open.skills.video/api/v1/generation/kling-ai/v3/video")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self)){
"id": "gen_123",
"status": "IN_QUEUE",
"input": {
"prompt": "a cat walking through neon rain",
"duration": 5,
"aspect_ratio": "16:9",
"n": 1
},
"usage": {
"total": 20,
"subscription": 20,
"permanent": 0
}
}{
"error": "VIDEO_GENERATION_INVALID_INPUT",
"code": "VIDEO_GENERATION_INVALID_INPUT",
"message": "'prompt' parameter is required"
}{
"error": "UNAUTHORIZED",
"code": "UNAUTHORIZED",
"message": "Unauthorized"
}{
"error": "INSUFFICIENT_CREDITS",
"code": "VIDEO_GENERATION_INSUFFICIENT_CREDITS",
"message": "Insufficient credits for this generation."
}{
"error": "WORKSPACE_FORBIDDEN",
"code": "WORKSPACE_FORBIDDEN",
"message": "You do not have access to this workspace."
}{
"error": "TEMPLATE_NOT_FOUND",
"code": "TEMPLATE_NOT_FOUND",
"message": "Template not found."
}{
"error": "VIDEO_GENERATION_CONTENT_REJECTED",
"code": "VIDEO_GENERATION_CONTENT_REJECTED",
"message": "Request content was rejected by the moderation policy."
}{
"error": "VIDEO_GENERATION_RATE_LIMITED",
"code": "VIDEO_GENERATION_RATE_LIMITED",
"message": "Rate limit exceeded. Please retry later."
}{
"error": "VIDEO_GENERATION_FAILED",
"code": "VIDEO_GENERATION_FAILED",
"message": "Generation failed."
}{
"error": "VIDEO_GENERATION_FAILED",
"code": "VIDEO_GENERATION_FAILED",
"message": "Generation failed."
}{
"error": "VIDEO_GENERATION_PROVIDER_UNAVAILABLE",
"code": "VIDEO_GENERATION_PROVIDER_UNAVAILABLE",
"message": "Upstream generation provider is temporarily unavailable."
}{
"error": "VIDEO_GENERATION_TIMEOUT",
"code": "VIDEO_GENERATION_TIMEOUT",
"message": "Generation timed out."
}Kling AI
Kling 3.0
POST
/
generation
/
kling-ai
/
v3
/
video
Kling 3.0
Upto 15s, multi-angle scenes, audio-backed.
Authorizations
API Key for API endpoints
Body
application/jsonmultipart/form-data
Text prompt for video generation
Video duration in seconds
Required range:
3 <= x <= 15Whether to generate audio for the video
generation quality
Available options:
standard, pro Optional reference image
Optional reference image
Optional reference image
Description of what to exclude from the generated video
Aspect ratio of the video. Portrait is 720x1280, landscape is 1280x720
Available options:
9:16, 16:9, 1:1 Number of results to generate (1-4)
Required range:
1 <= x <= 4Response
Generation submission accepted
Generation id.
Queue status
Available options:
IN_QUEUE, IN_PROGRESS, COMPLETED, FAILED, CANCELED Normalized input payload for the generation task.
Show child attributes
Show child attributes
Credit usage breakdown for the request
Show child attributes
Show child attributes
Machine-readable generation error code. Present when status is FAILED.
Sanitized human-readable failure message. Present when status is FAILED.
⌘I